
Name: qps
Version: 1.10.17
Release: %mkrel 1
Source0: https://github.com/QtDesktop/%{name}/releases/%{version}/%{name}-%{version}.tar.xz
Summary: The Qt process manager 
URL: http://lxqt.org/
License: GPL
Group: Graphical desktop/LXQT
BuildRequires: cmake
BuildRequires: lxqt-build-tools
BuildRequires: %{_lib}lxqt-devel >= 0.11.0
BuildRequires: %{_lib}qt5help-devel
Obsoletes:	lxqt-common

%description
The Qt process manager.

%prep
%setup -q
%apply_patches

%cmake_qt5

%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-System-Monitoring;" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%files
%{_bindir}/qps
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/man/man1/%{name}.1.bz2
%{_datadir}/%{name}/translations/%{name}/*.qm

%changelog
* Mon Oct 23 2017 daniel <meisssw01 at gmail.com> 0.12.0-1pclos2017
- import